#!/bin/tclsh 

if {[llength $argv] != 3} {
  puts "PreCutOff (pre file) (G cutoff) (G/E cutoff)"
  exit
}


set fname [lindex $argv 0]
set gco   [lindex $argv 1]
set rco   [lindex $argv 2]
exec cat  $fname | sed s/\(//g | sed s/\)//g > precutoff.tmp

set fin [open "precutoff.tmp" r]

while {1} {
  gets $fin instr
  if {[eof $fin]} { break }
  set fl [lindex $instr 0]
  if {$fl != "assign"} { 
    puts $instr
    continue 
  }
  set g  [lindex $instr 11]
  set e  [lindex $instr 12]
  set r  [expr $g / $e ]
  if {$g < $gco } { continue }
  if {$r < $rco } { continue }
  puts $instr  
}
exec rm precutoff.tmp
