command = xplor.command
from xplor import select
from pdbTool import *
from atomAction import *
from selectTools import *
from simulationTools import *
import string

command("""
 structure @../Psf/totSitesABonly3Alt.psf end
 param @../TopPar/parallhdg_new.pro
       @../TopPar/parnah1er1_mod_new.inp
       @../TopPar/par_axis_3.pro 
       @../TopPar/edtaThymine.par
       @../TopPar/manganese.par
       @../TopPar/parClockAtoms.inp
 end
 @../TopPar/patchForMn-EDTA.inp
 set echo = on message = on end
""")

command("""
 vector idend (store9) (( resid 4:79 and (name CA or name N or name C or name O)))

 vector idend (store8) (   ( resid 4:79    and not hydro )  
                        or ( resid 102     and not hydro )
                        or ( resid 104:113 and not hydro )
                        or ( resid 116:127 and not hydro )
!                         or ( resid 101:102 and not hydro )
!                         or ( resid 104:128 and not hydro )

                                                                  )

 vector idend (store7)  (   (resid 7:16 or resid 40:66 or resid 72:79)
                 and (name n or name c or name ca or name o)  )


""")

tot=30
                       
av = 0.0; avS= 0.0 
rms={}  ; rmsS={}
r_av={};
for ri in range(1,86):
   r_av[ri] = 0.0

command(" coor disp=comp @../Structures/aveNoConjuPro.chr")
fname = "../Structures/aveSaSitesAB-3conf.chr" 
command(" coor @%s" % fname) 
command("  coor sele=(recall 9) fit end " )

for rn in range(1,86):
      result = command("""
          coor sele= (resid %d and (name ca or name n or name c) ) rms end
      """ % rn , "rms" )
      r_av[rn] = float(result[0]) 
      va = command("""
          vector show ave (bcomp) (resid %d and (name ca or name n or name c))
      """ % rn, "result")
      vb = command("""
          vector show ave (b) (resid %d and (name ca or name n or name c))
      """ % rn, "result")
      
      v = r_av[rn] - float(va[0]) - float(vb[0])
      print "RESIDUE", rn, v

