command = xplor.command
from xplor import select
from pdbTool import *
from atomAction import *
from selectTools import *
from simulationTools import *
import string


command("""
structure @../Psf/totalPlus3Alt.psf end
param @../TopPar/parallhdg_new.pro
      @../TopPar/parnah1er1_mod_new.inp
      @../TopPar/par_axis_3.pro 
      @../TopPar/edtaThymine.par
      @../TopPar/manganese.par
      @../TopPar/parClockAtoms.inp
end
@../TopPar/patchForMn-EDTA.inp
set echo = on message = on end
""")

command("""
 vector iden (store9) (   ( resid 4:79 and (name CA or name N or name C or name O))  
                        or ( resid 102     and not hydro ) 
                        or ( resid 104:113 and not hydro ) 
                        or ( resid 116:127 and not hydro ) 
                                                                  )
 vector iden (store8) (   
                           ( resid 4:79 and not hydro )
                                                                  )

  vector iden (store7) (
                           ( resid 4:79 and not hydro )
                        or ( resid 102     and not hydro )
                        or ( resid 104:113 and not hydro )
                        or ( resid 116:127 and not hydro )
                                                                  )


""")
                       
av = 0.0 ; avP = 0.0; 
rms={}; rmsP={}; 


for cn in [("aveNoRdcNoConju.chr", "aveNoConju.chr"), ("aveNoRdcNoConju.chr", "ave3confNoRdcWithPreAll.chr"), ("aveNoRdcNoConju.chr", "ave3confWithPreAll.chr"),  ("aveNoConju.chr", "ave3confNoRdcWithPreAll.chr"), ("aveNoConju.chr", "ave3confWithPreAll.chr"), ("ave3confNoRdcWithPreAll.chr", "ave3confWithPreAll.chr")]:
   command(" coor disp=comp @../Structures/%-s" % cn[0])
   fname = "../Structures/%-s" % cn[1]
   command(" coor @%s" % fname) 
   result = command("""
              coor sele=(recall 9) fit end
              coor sele=(recall 9) rms end
            """, "rms" )
   print ("%s vs %s rms (protein bb + dna) : %s" % (cn[0], cn[1], result[0]))

   result = command("""
              coor sele=(recall 8) fit end
              coor sele=(recall 8) rms end
            """, "rms" )
   print ("%s vs %s rms (protein heavy ) : %s" % (cn[0], cn[1], result[0]))

   result = command("""
              coor sele=(recall 7) fit end
              coor sele=(recall 7) rms end
            """, "rms" )
   print ("%s vs %s rms (protein + dna) : %s" % (cn[0], cn[1], result[0]))




