#!/bin/tclsh

if {[llength $argv] != 2} {
  puts "usage: makeWorkAndTestForCV.tcl (name body) (number of partition)"
  exit
}

set fname [lindex $argv 0]

#total number of partitions
set np     [lindex $argv 1]


set fin [open $fname r]

set cou 0
while {1} {
   gets $fin instr
   if {[eof $fin]} { break }
   set fw [lindex $instr 0]
   if {$fw == "assign"} { 
     set rst($cou) $instr 
     incr cou
   }
}
close $fin

exec setRandomTable.py $cou > randomTable.txt

set frt [open "randomTable.txt" r]
for {set i 0 } { $i < $cou } {incr i } {
   gets $frt instr
   if {[eof $frt]} { break }
   set id($i) [lindex $instr 1]  
}
close $frt

set bns [expr int($cou/$np)]
set bnl [expr $bns + 1]

set mns [expr $bnl*$np-$cou]
set mnl [expr $np - $mns]

for {set i 0} {$i < $np} {incr i} {
   set pl($i) ""
}

set ul 0
for {set i 0} {$i < $mnl} {incr i} {
   set ll $ul
   set ul [expr $ll+ $bnl]
   for {set j $ll} {$j < $ul} {incr j} { 
      set pl($i) [lappend pl($i) $j]
   }
}

for {set i $mnl} {$i < $np} {incr i} {
   set ll [expr $ul]
   set ul [expr $ll+ $bns]
   for {set j $ll} {$j < $ul} {incr j} { 
      set pl($i) [lappend pl($i) $j]
   }
}

for {set i 0} {$i < $np} {incr i} {
   puts $pl($i)
}

set cb 0
set fn 1
for {set i 0} {$i < $np} {incr i} {
   set pname [format "%s.p%-d" $fname $i]
   set tout  [open $pname w]
   for {set j 0} {$j < $cou} {incr j} {
      foreach k $pl($i) {
         if {$k == $id($j)} {
           puts $tout $rst($j)
         }
      }
   }
   close $tout
}

