#!/bin/csh

set bn = saNoConju_3w


set a1=`grep "TNH " ../Structures/{$bn}*pdb | awk '{s += $5} END {print s/NR}'`
set s1=`grep "TNH " ../Structures/{$bn}*pdb | awk -v k=$a1 '{s += ($5-k)^2} END {print sqrt(s/NR)}'`

echo " TNH ", $a1, "+/-" $s1


foreach sp (TNHp TCH TNCO THNC) 
   set a1=`grep $sp ../Structures/{$bn}*pdb |awk '{s += $5} END {print s/NR}'`
   set s1=`grep $sp ../Structures/{$bn}*pdb |awk -v k=$a1 '{s += ($5-k)^2} END {print sqrt(s/NR)}'`

echo $sp, $a1, "+/-" $s1

end
